import { PathedEventEmitter } from './pathed-events';
import { Settings } from './settings';
export type Platform = 'windows' | 'android' | 'ios' | 'mac' | 'linux' | 'unknown';
export declare class Client extends PathedEventEmitter {
    private readonly settings;
    get mobile(): boolean;
    private _platform?;
    get platform(): Platform;
    private _pwa?;
    get pwa(): boolean;
    constructor(settings: Settings);
    inject(reload?: boolean): Promise<void>;
    pwaPrompt(platform?: 'android' | 'ios'): void;
}
//# sourceMappingURL=client.d.ts.map